V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/events/{eventId}/locks/visits
Get visit level lock records for a visit
Request
Path Parameters
-
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
D3AE48BD29FC4E379BC94AB8265A72CF -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
BA62DB18A9E347B899743D46853CEDCA -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
BA62DB18A9E347B899743D46853CEDCA
Query Parameters
-
eventInstanceNum: integer(int64)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object VisitLockDetails
DTO containing lock status details for a visit, including subject, event, lock statuses, and related timestamps.
Nested Schema : VisitLockDetails
Type:
objectDTO containing lock status details for a visit, including subject, event, lock statuses, and related timestamps.
Show Source
-
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
D3AE48BD29FC4E379BC94AB8265A72CF -
eventInstanceNum: integer
(int64)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
lockStatus: string
Lock status for this visit. applicable values are LOCKED, UNLOCKEDExample:
LOCKED -
lockStatusTime: string
(date-time)
Timestamp when current lock status became effective.Example:
2023-10-15T18:25:43Z -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
BA62DB18A9E347B899743D46853CEDCA -
visitStartDateLockStatus: string
Lock status for the visit start date. applicable values are LOCKED, UNLOCKEDExample:
UNLOCKED -
visitStartDateLockStatusTime: string
(date-time)
Timestamp when visitStartDateLockStatus was set.Example:
2023-10-15T18:25:43Z
Examples
400 Response
Bad_Request
Nested Schema : result
Type:
objectNested Schema : details
Type:
object